"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.configDir = exports.setStoragePath = exports.getConfig = void 0;
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const os_1 = tslib_1.__importDefault(require("os"));
const path_1 = tslib_1.__importDefault(require("path"));
const coc_nvim_1 = require("coc.nvim");
function getConfig() {
    return coc_nvim_1.workspace.getConfiguration().get("lua");
}
exports.getConfig = getConfig;
const state = {};
function setStoragePath(dir) {
    state.storagePath = dir;
}
exports.setStoragePath = setStoragePath;
function configDir(...names) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const storage = state.storagePath ||
            (() => {
                const home = os_1.default.homedir();
                return path_1.default.join(home, ".config", "coc", "lua");
            })();
        const dir = path_1.default.join(storage, ...names);
        return new Promise((resolve) => {
            fs_1.default.mkdirSync(dir, { recursive: true });
            resolve(dir);
        });
    });
}
exports.configDir = configDir;
//# sourceMappingURL=config.js.map