"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs = tslib_1.__importStar(require("fs"));
const path = tslib_1.__importStar(require("path"));
const os = tslib_1.__importStar(require("os"));
const installer_1 = require("./installer");
describe("installer", () => {
    let tmpDir;
    beforeEach(() => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        tmpDir = yield fs.promises.mkdtemp(path.join(os.tmpdir(), "foo-"));
    }));
    afterEach(() => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        yield fs.promises.rmdir(tmpDir, { recursive: true });
    }));
    it("should install", () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        jest.setTimeout(30000);
        yield installer_1.install(tmpDir);
        const { bin } = installer_1.osEnv();
        expect(fs.existsSync(path.join(tmpDir, "main.lua"))).toBeTruthy();
        expect(fs.existsSync(path.join(tmpDir, bin))).toBeTruthy();
    }));
});
//# sourceMappingURL=installer.test.js.map