"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.showInstallStatus = exports.commandExists = void 0;
const tslib_1 = require("tslib");
const which_1 = tslib_1.__importDefault(require("which"));
const coc_nvim_1 = require("coc.nvim");
function commandExists(bin) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return new Promise((resolve) => which_1.default(bin, (err) => resolve(err == null)));
    });
}
exports.commandExists = commandExists;
function showInstallStatus(name, fn) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const statusItem = coc_nvim_1.window.createStatusBarItem(90, { progress: true });
        statusItem.text = `Installing '${name}'`;
        statusItem.show();
        try {
            yield fn();
            coc_nvim_1.window.showMessage(`Installed '${name}'`);
        }
        catch (err) {
            coc_nvim_1.window.showMessage(`Failed to install '${name}': ${err}`, "error");
            statusItem.hide();
            throw err;
        }
        statusItem.hide();
    });
}
exports.showInstallStatus = showInstallStatus;
//# sourceMappingURL=tools.js.map